moovexDocs

Get weekly calendar

Retrieve weekly calendar of driver shifts.

GET/driver-shifts/calendar/weekly

Query Parameters

ParameterTypeRequiredDescription
datenumberYes-
driversByShifts"all""with-shifts""without-shifts"
driversstring[]No-
allowedAreasstring[]No-
vehiclesstring[]No-
attributesstring[]No-
suppliersstring[]No-
sortanyNo-
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 1,
  "records": [
    {
      "id": 1,
      "driverName": "John Doe",
      "monday": [
        {
          "id": 100,
          "start": 1715000000,
          "end": 1715040000
        }
      ],
      "tuesday": [],
      "wednesday": [],
      "thursday": [],
      "friday": [],
      "saturday": [],
      "sunday": []
    }
  ]
}

On this page